TEMPLATE = lib 
CONFIG *= staticlib
TARGET = x3dcomponent
                                          
HEADERS = AbstractCreator.h \
          AbstractWalker.h \
          AbstractVisitor.h \
          CoreCreator.h \
          DefaultCoreCreator.h \
          CoreWalker.h \
          CoreVisitor.h \
          Geometry3DCreator.h \
          DefaultGeometry3DCreator.h \
          Geometry3DWalker.h \
          Geometry3DVisitor.h \
          GroupingCreator.h \
          DefaultGroupingCreator.h \
          GroupingWalker.h \
          GroupingVisitor.h \
          RenderingCreator.h \
          DefaultRenderingCreator.h \
          RenderingWalker.h \
          RenderingVisitor.h \
          ShapeCreator.h \
          DefaultShapeCreator.h \
          ShapeWalker.h \
          ShapeVisitor.h \
          TexturingCreator.h \
          DefaultTexturingCreator.h \
          TexturingWalker.h \
          TexturingVisitor.h \
          DefaultNodeCreationProxy.h \
                         
SOURCES = AbstractCreator.cpp \
          AbstractWalker.cpp \
          AbstractVisitor.cpp \
          CoreCreator.cpp \
          DefaultCoreCreator.cpp \
          CoreWalker.cpp \
          CoreVisitor.cpp \
          Geometry3DCreator.cpp \
          DefaultGeometry3DCreator.cpp \
          Geometry3DWalker.cpp \
          Geometry3DVisitor.cpp \
          GroupingCreator.cpp \
          DefaultGroupingCreator.cpp \
          GroupingWalker.cpp \
          GroupingVisitor.cpp \
          RenderingCreator.cpp \
          DefaultRenderingCreator.cpp \
          RenderingWalker.cpp \
          RenderingVisitor.cpp \
          ShapeCreator.cpp \
          DefaultShapeCreator.cpp \
          ShapeWalker.cpp \
          ShapeVisitor.cpp \
          TexturingCreator.cpp \
          DefaultTexturingCreator.cpp \
          TexturingWalker.cpp \
          TexturingVisitor.cpp \          
          DefaultNodeCreationProxy.cpp \

# --------------------
#  Lighting component
# --------------------

HEADERS += DefaultLightingCreator.h \
           LightingCreator.h \
           LightingVisitor.h \
           LightingWalker.h

SOURCES += DefaultLightingCreator.cpp \
           LightingCreator.cpp \
           LightingVisitor.cpp \
           LightingWalker.cpp

# -------------------------
#  Interpolation component
# -------------------------

HEADERS += DefaultInterpolationCreator.h \
           InterpolationCreator.h \
           InterpolationVisitor.h \
           InterpolationWalker.h

SOURCES += DefaultInterpolationCreator.cpp \
           InterpolationCreator.cpp \
           InterpolationVisitor.cpp \
           InterpolationWalker.cpp

# -----------------
#  NURBS component
# -----------------

HEADERS += DefaultNURBSCreator.h \
           NURBSCreator.h \
           NURBSVisitor.h \
           NURBSWalker.h

SOURCES += DefaultNURBSCreator.cpp \
           NURBSCreator.cpp \
           NURBSVisitor.cpp \
           NURBSWalker.cpp
          
include(../../X3DToolKit.pri)
