#include "X3DNode.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

X3DNode::X3DNode()
: X3DAbstractNode()
{    
  defineTypeName("X3DNode", "Core");
}

X3DNode::X3DNode(const X3DNode &N)
: X3DAbstractNode(N)
{
}

SFNode X3DNode::clone() const
{
  return 0;
}

X3DNode::~X3DNode()
{
}

void X3DNode::load(const X3DFileElement *element)
{
}

SFString X3DNode::write() const
{
  return "";
}

void X3DNode::removeLink(SFNode father, SFNode child)
{
  if (child != 0)
    child->removeParent(father);
}

void X3DNode::addLink(SFNode father, SFNode child)
{
  if (child != 0)
    child->addParent(father);
}

}
}
