#include "GLBuilderGlobalVariables.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

GLBuilderGlobalVariables::GLBuilderGlobalVariables()
: GlobalVariables(), _root(0)
{
}

GLBuilderGlobalVariables::~GLBuilderGlobalVariables()
{
}

void GLBuilderGlobalVariables::init()
{
  _root = 0;
}

void GLBuilderGlobalVariables::finish()
{
  _nodeStack.clear();
}

void GLBuilderGlobalVariables::pushNode(GL::SFNode N)
{
  if (_root == 0)
    _root = N;
    
  _nodeStack.push_front(N);
}

void GLBuilderGlobalVariables::popNode()
{
  _nodeStack.pop_front();
}

}
}
