#include "DefaultLoader.h"
#include "DefaultNodeCreationProxy.h"
#include "FileValidator.h"

#include <iostream>

using namespace X3DTK;
using namespace std;

DefaultLoader::DefaultLoader()
#ifdef XERCES
: XercesLoader(new DefaultNodeCreationProxy()) 
#else
: QLoader(new DefaultNodeCreationProxy()) 
#endif
{
  this->fileValidator = new X3D::FileValidator();
}

DefaultLoader::~DefaultLoader()
{
  delete ncp;
  delete fileValidator;
}
