TEMPLATE = lib 
CONFIG *= staticlib
TARGET = x3dnodeproxy

INCLUDEPATH = . \
              Type \ 
              X3DAbstractNode \
              X3DComponent
        
                 
HEADERS = Type/Component.h \
          Type/Type.h \
          X3DAbstractNode/NameDict.h \
          X3DAbstractNode/X3DAbstractNode.h \
          X3DFunction.h \
          X3DActiveFunction.h \
          WalkingFunction.h \
          EnterFunction.h \
          WalkOnFunction.h \
          LeaveFunction.h \
          VisitingFunctions.h \
          CreationFunction.h \
          X3DNodeProxy.h \
          NodeCreationProxy.h \
          NodeWalkingProxy.h \
          NodeVisitingProxy.h \
          X3DComponent/X3DComponent.h \
          X3DComponent/X3DComponentCreator.h \
          X3DComponent/X3DComponentWalker.h \
          X3DComponent/X3DComponentVisitor.h \
                         
SOURCES = Type/Component.cpp \
          Type/Type.cpp \
          X3DAbstractNode/NameDict.cpp \
          X3DAbstractNode/X3DAbstractNode.cpp \
          X3DFunction.cpp \
          X3DActiveFunction.cpp \
          WalkingFunction.cpp \
          EnterFunction.cpp \
          WalkOnFunction.cpp \
          LeaveFunction.cpp \
          VisitingFunctions.cpp \
          CreationFunction.cpp \
          X3DNodeProxy.cpp \
          NodeCreationProxy.cpp \
          NodeWalkingProxy.cpp \
          NodeVisitingProxy.cpp \
          X3DComponent/X3DComponent.cpp \
          X3DComponent/X3DComponentCreator.cpp \
          X3DComponent/X3DComponentWalker.cpp \
          X3DComponent/X3DComponentVisitor.cpp \

include(../../X3DToolKit.pri)
