#include "VisitingFunctions.h"

using namespace X3DTK;

VisitingFunctions::VisitingFunctions(const EnterFunction *enter, const WalkOnFunction *walkon, const LeaveFunction *leave)
: enter_((EnterFunction *)enter), walkon_((WalkOnFunction *)walkon), leave_((LeaveFunction *)leave)
{
}

VisitingFunctions::~VisitingFunctions()
{
}

void VisitingFunctions::setEnterFunction(const EnterFunction *enter)
{
  enter_ = (EnterFunction *)enter;
}
 
void VisitingFunctions::setWalkOnFunction(const WalkOnFunction *walkon)
{
  walkon_ = (WalkOnFunction *)walkon;
}

void VisitingFunctions::setLeaveFunction(const LeaveFunction *leave)
{
  leave_ = (LeaveFunction *)leave;
}
