TEMPLATE = lib 
CONFIG *= staticlib
TARGET = x3dglnodes

HEADERS = GLCore/X3DGLNode.h \
          GLCore/GLScene.h \
          GLGeometry3D/CylinderDrawArray.h \   
          GLGeometry3D/GLCylinder.h \
          GLGeometry3D/SphereDrawArray.h \
          GLGeometry3D/GLSphere.h \
          GLGeometry3D/BoxDrawArray.h \
          GLGeometry3D/GLBox.h \
          GLGeometry3D/ConeDrawArray.h \
          GLGeometry3D/GLCone.h \
          GLGeometry3D/GLIndexedFaceSet.h \         
          GLGrouping/GLGroup.h \
          GLGrouping/GLStaticGroup.h \
          GLGrouping/GLTransform.h \
          GLGrouping/X3DGLChildNode.h \
          GLGrouping/X3DGLGroupingNode.h \
          GLRendering/GLIndexedLineSet.h \
          GLRendering/GLPointSet.h \
          GLRendering/GLTriangleFanSet.h \
          GLRendering/GLTriangleSet.h \        
          GLRendering/GLTriangleStripSet.h \
          GLRendering/X3DGLComposedGeometryNode.h \
          GLRendering/X3DGLGeometry3DNode.h \
          GLRendering/X3DGLGeometryNode.h \          
          GLShape/GLAppearance.h \
          GLShape/GLFillProperties.h \
          GLShape/GLLineProperties.h \
          GLShape/GLMaterial.h \
          GLShape/GLShape.h \
          GLShape/X3DGLAppearanceChildNode.h \
          GLShape/X3DGLAppearanceNode.h \
          GLShape/X3DGLMaterialNode.h \
          GLShape/X3DGLShapeNode.h \
          GLTexturing/GLImageTexture.h \
          GLTexturing/X3DGLTexture2DNode.h \
          GLTexturing/X3DGLTextureNode.h \
          GLTexturing/X3DGLTextureTransformNode.h \
          
SOURCES = GLCore/X3DGLNode.cpp \
          GLCore/GLScene.cpp \
          GLGeometry3D/CylinderDrawArray.cpp \   
          GLGeometry3D/GLCylinder.cpp \
          GLGeometry3D/SphereDrawArray.cpp \
          GLGeometry3D/GLSphere.cpp \
          GLGeometry3D/BoxDrawArray.cpp \
          GLGeometry3D/GLBox.cpp \
          GLGeometry3D/ConeDrawArray.cpp \
          GLGeometry3D/GLCone.cpp \
          GLGeometry3D/GLIndexedFaceSet.cpp \         
          GLGrouping/GLGroup.cpp \
          GLGrouping/GLStaticGroup.cpp \
          GLGrouping/GLTransform.cpp \
          GLGrouping/X3DGLChildNode.cpp \
          GLGrouping/X3DGLGroupingNode.cpp \
          GLRendering/GLIndexedLineSet.cpp \
          GLRendering/GLPointSet.cpp \
          GLRendering/GLTriangleFanSet.cpp \
          GLRendering/GLTriangleSet.cpp \        
          GLRendering/GLTriangleStripSet.cpp \
          GLRendering/X3DGLComposedGeometryNode.cpp \
          GLRendering/X3DGLGeometry3DNode.cpp \
          GLRendering/X3DGLGeometryNode.cpp \          
          GLShape/GLAppearance.cpp \
          GLShape/GLFillProperties.cpp \
          GLShape/GLLineProperties.cpp \
          GLShape/GLMaterial.cpp \
          GLShape/GLShape.cpp \
          GLShape/X3DGLAppearanceChildNode.cpp \
          GLShape/X3DGLAppearanceNode.cpp \
          GLShape/X3DGLMaterialNode.cpp \
          GLShape/X3DGLShapeNode.cpp \
          GLTexturing/GLImageTexture.cpp \
          GLTexturing/X3DGLTexture2DNode.cpp \
          GLTexturing/X3DGLTextureNode.cpp \
          GLTexturing/X3DGLTextureTransformNode.cpp \
          
include(../../X3DToolKit.pri)
