TARGET = x3dtemplatemeshbuilder

HEADERS = \
      MeshTypes.h \
      X3DMeshNode.h \
      TemplateVertex.h \
      TemplateEdgeContent.h \      
      TemplateEdge.h \
      TemplateDirectEdge.h \
      TemplateIndirectEdge.h \      
      TemplateFace.h \
      X3DMeshGroupingNode.h \
      TemplateMesh.h \
      MeshTransform.h \
      MeshScene.h \
      TemplateMeshBuilder.h \
      TemplateMeshBuilderGlobalVariables.h \
      TemplateMeshBuilderCoreVisitor.h \
      TemplateMeshBuilderGroupingVisitor.h \
      TemplateMeshBuilderGeometry3DVisitor.h \
      TemplateMeshBuilderShapeVisitor.h \
      TemplateMeshBuilderRenderingVisitor.h \
      MeshAlgoFunctions.h \
      MeshCoreWalker.h \
      MeshDFSCoreWalker.h \
      MeshDFS.h \
      MeshCoreVisitor.h \      

SOURCES = \
      X3DMeshNode.cpp \
      X3DMeshGroupingNode.cpp \
      MeshTransform.cpp\
      MeshScene.cpp \
      TemplateMeshBuilderGlobalVariables.cpp \      
      TemplateMeshBuilderCoreVisitor.cpp \
      TemplateMeshBuilderGroupingVisitor.cpp \      
      TemplateMeshBuilderShapeVisitor.cpp \  
      TemplateMeshBuilderRenderingVisitor.cpp \
      MeshCoreWalker.cpp \
      MeshDFSCoreWalker.cpp \
      MeshDFS.cpp \
      MeshCoreVisitor.cpp \            

                  
include(../processors.pri)
